Skip to main content
GET
Get the schedule for a data request

Authorizations

Authorization
string
header
required

Path Parameters

project_id
string
required

The project's friendly ID (e.g. prj_aBcD1234eFgH5678).

data_request_id
string
required

The data request's friendly ID (e.g. req_aBcD1234eFgH5678).

Pattern: ^req_[A-Za-z0-9]{16}$

Response

OK

id
string
Example:

"sch_AaBbCcDdEeFfGgHh"

status
enum<string>

completed once the schedule has finished or been cancelled.

Available options:
active,
paused,
completed
recurrence_rule
object | null

Null for one-off schedules.

starts_at
string<date-time> | null

The first next_execution_at the schedule was created with.

next_execution_at
string<date-time> | null

Null once the schedule is completed.

last_executed_at
string<date-time> | null
end_condition
enum<string>
Available options:
never,
on_date,
after_count
end_date
string<date> | null
max_occurrences
integer | null
execution_count
integer
created_at
string<date-time>
updated_at
string<date-time>